## ros-one-effort-controllers 0.22.0-0jammy.20251023.1006

=== debian/changelog ===
ros-one-effort-controllers (0.22.0-0jammy.20251023.1006) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 10:06:37 +0000

ros-one-effort-controllers (0.22.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 May 2024 00:00:00 -0000

ros-one-effort-controllers (0.21.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-effort-controllers (0.21.1-0jammy) jammy; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-effort-controllers (0.21.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-effort-controllers (0.20.0-0jammy) jammy; urgency=high

  * Drop old C++ standard
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 May 2022 00:00:00 -0000

ros-one-effort-controllers (0.19.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-effort-controllers (0.18.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-effort-controllers (0.18.0-0jammy) jammy; urgency=high

  * Update effort_controllers' package.xml file to format 3
  * Apply consistent format to effort_controllers' CMakeLists.txt file
  * Clean effort_controllers' dependencies
  * [effort_controllers] JointGroupPositionController: Change to initRT
  * [effort_controllers] JointGroupPositionController: Set to current position in starting
    Currently, the target position upon starting is all zeros. This is not
    great if a command is not issued immediately. To be safer, set the goal
    position to the current sensed position and also reset the PID internal
    state upon starting.
  * Remove unused transmission in effort_controllers test
  * Add missing test dependency on joint_state_controller in effort_controllers
  * [effort_controllers] JointGroupPositionController: Load URDF from namespace
    Mimics #245 <https://github.com/ros-controls/ros_controllers/issues/245>
  * Contributors: Mateus Amarante, Wolfgang Merkt

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-effort-controllers (0.17.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 May 2020 00:00:00 -0000

ros-one-effort-controllers (0.16.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-effort-controllers (0.16.0-0jammy) jammy; urgency=high

  * Added test for position controller
  * Solving issues with large rotational limits
  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * fix minor typo in documentation of setGains method
    Changes Get to Set of setGains method documentation
  * Contributors: Bence Magyar, F Pucher, Franco Fusco, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-effort-controllers (0.15.1-0jammy) jammy; urgency=high

  * add missing pluginlib deps.
  * effort_controllers: fix minor typo in setGains doc
  * Contributors: G.A. vd. Hoorn, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-effort-controllers (0.15.0-0jammy) jammy; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::scoped_ptr -> std::unique_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-effort-controllers (0.14.3-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-effort-controllers (0.14.2-0jammy) jammy; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-effort-controllers (0.14.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-effort-controllers (0.14.0-0jammy) jammy; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-effort-controllers (0.13.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-effort-controllers (0.13.1-0jammy) jammy; urgency=high

  * Code cleanup
  * Add JointGroupPositionController
  * Contributors: Bence Magyar, Maik Mugnai

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-one-effort-controllers (0.13.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Aug 2017 00:00:00 -0000

ros-one-effort-controllers (0.12.3-0jammy) jammy; urgency=high

  * Supply NodeHandle to urdf::Model. Closes #244 <https://github.com/ros-controls/ros_controllers/issues/244>
  * Contributors: Piyush Khandelwal

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 Apr 2017 00:00:00 -0000

ros-one-effort-controllers (0.12.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Apr 2017 00:00:00 -0000

ros-one-effort-controllers (0.12.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000



## ros-one-effort-controllers 0.22.0-0noble.20260221.2227

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(effort_controllers)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  angles
  control_msgs
  control_toolbox
  controller_interface
  forward_command_controller
  hardware_interface
  pluginlib
  realtime_tools
  roscpp
  std_msgs
  urdf
)

# Declare catkin package
catkin_package(
  CATKIN_DEPENDS
    control_msgs
    control_toolbox
    controller_interface
    forward_command_controller
    hardware_interface
    realtime_tools
    std_msgs
    urdf
  LIBRARIES
    ${PROJECT_NAME}
  INCLUDE_DIRS
    include
)


###########
## Build ##
###########

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/joint_effort_controller.cpp
  src/joint_group_effort_controller.cpp
  src/joint_group_position_controller.cpp
  src/joint_position_controller.cpp
  src/joint_velocity_controller.cpp
)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})


#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(rosgraph_msgs REQUIRED)
  find_package(sensor_msgs REQUIRED)

  include_directories(
    ${controller_manager_INCLUDE_DIRS}
    ${rosgraph_msgs_INCLUDE_DIRS}
    ${sensor_msgs_INCLUDE_DIRS}
  )

  add_executable(simple_bot_hw test/simple_bot_hw.cpp)
  target_link_libraries(simple_bot_hw
    ${catkin_LIBRARIES}
    ${controller_manager_LIBRARIES}
  )
  add_dependencies(tests simple_bot_hw)

  add_rostest_gtest(effort_position_controller_test
    test/effort_position_controller.test
    test/simple_bot_goto_position.cpp
  )
  target_link_libraries(
    effort_position_controller_test
    ${catkin_LIBRARIES}
  )
endif()


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install targets
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install plugins
install(FILES effort_controllers_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-one-effort-controllers 0.22.0-0jammy.20260221.2138

=== debian/changelog ===
ros-one-effort-controllers (0.22.0-0jammy.20260221.2138) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 21:38:17 +0000

=== debian/control ===
Source: ros-one-effort-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-interface, ros-one-forward-command-controller, ros-one-hardware-interface, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-std-msgs, ros-one-urdf
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-one-effort-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-interface, ros-one-forward-command-controller, ros-one-hardware-interface, ros-one-realtime-tools, ros-one-roscpp, ros-one-std-msgs, ros-one-urdf
Description: effort_controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-effort-controllers//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-effort-controllers 0.22.0-0noble.20251023.1022

=== debian/changelog ===
ros-one-effort-controllers (0.22.0-0noble.20251023.1022) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 10:22:33 +0000

ros-one-effort-controllers (0.22.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 May 2024 00:00:00 -0000

ros-one-effort-controllers (0.21.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-effort-controllers (0.21.1-0noble) noble; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-effort-controllers (0.21.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-effort-controllers (0.20.0-0noble) noble; urgency=high

  * Drop old C++ standard
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 May 2022 00:00:00 -0000

ros-one-effort-controllers (0.19.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-effort-controllers (0.18.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-effort-controllers (0.18.0-0noble) noble; urgency=high

  * Update effort_controllers' package.xml file to format 3
  * Apply consistent format to effort_controllers' CMakeLists.txt file
  * Clean effort_controllers' dependencies
  * [effort_controllers] JointGroupPositionController: Change to initRT
  * [effort_controllers] JointGroupPositionController: Set to current position in starting
    Currently, the target position upon starting is all zeros. This is not
    great if a command is not issued immediately. To be safer, set the goal
    position to the current sensed position and also reset the PID internal
    state upon starting.
  * Remove unused transmission in effort_controllers test
  * Add missing test dependency on joint_state_controller in effort_controllers
  * [effort_controllers] JointGroupPositionController: Load URDF from namespace
    Mimics #245 <https://github.com/ros-controls/ros_controllers/issues/245>
  * Contributors: Mateus Amarante, Wolfgang Merkt

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-effort-controllers (0.17.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 May 2020 00:00:00 -0000

ros-one-effort-controllers (0.16.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-effort-controllers (0.16.0-0noble) noble; urgency=high

  * Added test for position controller
  * Solving issues with large rotational limits
  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * fix minor typo in documentation of setGains method
    Changes Get to Set of setGains method documentation
  * Contributors: Bence Magyar, F Pucher, Franco Fusco, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-effort-controllers (0.15.1-0noble) noble; urgency=high

  * add missing pluginlib deps.
  * effort_controllers: fix minor typo in setGains doc
  * Contributors: G.A. vd. Hoorn, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-effort-controllers (0.15.0-0noble) noble; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::scoped_ptr -> std::unique_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-effort-controllers (0.14.3-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-effort-controllers (0.14.2-0noble) noble; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-effort-controllers (0.14.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-effort-controllers (0.14.0-0noble) noble; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-effort-controllers (0.13.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-effort-controllers (0.13.1-0noble) noble; urgency=high

  * Code cleanup
  * Add JointGroupPositionController
  * Contributors: Bence Magyar, Maik Mugnai

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-one-effort-controllers (0.13.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Aug 2017 00:00:00 -0000

ros-one-effort-controllers (0.12.3-0noble) noble; urgency=high

  * Supply NodeHandle to urdf::Model. Closes #244 <https://github.com/ros-controls/ros_controllers/issues/244>
  * Contributors: Piyush Khandelwal

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 Apr 2017 00:00:00 -0000

ros-one-effort-controllers (0.12.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Apr 2017 00:00:00 -0000

ros-one-effort-controllers (0.12.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000



## ros-one-effort-controllers 0.22.0-0noble.20260221.2227

=== debian/changelog ===
ros-one-effort-controllers (0.22.0-0noble.20260221.2227) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 22:27:32 +0000
